Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IParameterDefn

All Superinterfaces:
  IParameterDefnBase

All Known Subinterfaces:
  IDynamicFilterParameterDefn, IScalarParameterDefn

    public interface IParameterDefn

extends IParameterDefnBase

base interface for a BIRT report parameter

Field Summary
`static int` | `SELECTION_LIST_DYNAMIC`
`static int` | `SELECTION_LIST_NONE`
`static int` | `SELECTION_LIST_STATIC`
`static int` | `TYPE_ANY`
`static int` | `TYPE_BOOLEAN`
`static int` | `TYPE_DATE`
`static int` | `TYPE_DATE_TIME`
`static int` | `TYPE_DECIMAL`
`static int` | `TYPE_FLOAT`
`static int` | `TYPE_INTEGER`
`static int` | `TYPE_STRING`
`static int` | `TYPE_TIME`

Fields inherited from interface org.eclipse.birt.report.engine.api.IParameterDefnBase
`CASCADING_PARAMETER_GROUP, FILTER_PARAMETER, LIST_PARAMETER, PARAMETER_GROUP, SCALAR_PARAMETER, TABLE_PARAMETER`

Method Summary
`int` | `getDataType()` returns the parameter data type.
`java.util.ArrayList` | `getSelectionList()` Deprecated.
`int` | `getSelectionListType()`
`boolean` | `isHidden()` returns whether the parameter is a hidden parameter
`boolean` | `isRequired()`

Methods inherited from interface org.eclipse.birt.report.engine.api.IParameterDefnBase
`getDisplayName, getHandle, getHelpText, getName, getParameterType, getPromptText, getTypeName, getUserPropertyValue, getUserPropertyValues`

Field Detail

### TYPE_ANY

    static final int TYPE_ANY

See Also:
  Constant Field Values

### TYPE_STRING

    static final int TYPE_STRING

See Also:
  Constant Field Values

### TYPE_FLOAT

    static final int TYPE_FLOAT

See Also:
  Constant Field Values

### TYPE_DECIMAL

    static final int TYPE_DECIMAL

See Also:
  Constant Field Values

### TYPE_DATE_TIME

    static final int TYPE_DATE_TIME

See Also:
  Constant Field Values

### TYPE_BOOLEAN

    static final int TYPE_BOOLEAN

See Also:
  Constant Field Values

### TYPE_INTEGER

    static final int TYPE_INTEGER

See Also:
  Constant Field Values

### TYPE_DATE

    static final int TYPE_DATE

See Also:
  Constant Field Values

### TYPE_TIME

    static final int TYPE_TIME

See Also:
  Constant Field Values

### SELECTION_LIST_NONE

    static final int SELECTION_LIST_NONE

See Also:
  Constant Field Values

### SELECTION_LIST_DYNAMIC

    static final int SELECTION_LIST_DYNAMIC

See Also:
  Constant Field Values

### SELECTION_LIST_STATIC

    static final int SELECTION_LIST_STATIC

See Also:
  Constant Field Values

Method Detail

### isHidden

    boolean isHidden()

  returns whether the parameter is a hidden parameter

  Returns:
    whether the parameter is a hidden parameter

### isRequired

    boolean isRequired()

  Returns:
    whether the parameter is required.
    the rule for String type is:
    - isRequired=true, allowNull and allowBlank are false
    - isRequired=false, allowNull and allowBlank are true
    for other type like integer:
    - isRequired=true, allowNull and allowBlank are false
    - isRequired=false, allowNull and allowBlank are true

### getDataType

    int getDataType()

  returns the parameter data type. See the ColumnDefn class for the valid data type constants.

  Returns:
    the parameter data type

### getSelectionList

    java.util.ArrayList getSelectionList()

  Deprecated.

  Returns:
    get a parameter value selection object, from which a list of parameter values and label values can be retrieved.

### getSelectionListType

    int getSelectionListType()

  Returns:
    the type of the parameter selection list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.